{
	"search.useIgnoreFiles": true,
	"search.exclude": {
		"**/node_modules": true,
		"**/bower_components": true,
		"**/*.code-search": true,
		"**/target/**": true,
		"**/bin/**": true,
	},
	"files.exclude": {
		"**/.git": true,
		"**/.svn": true,
		"**/.hg": true,
		"**/CVS": true,
		"**/.DS_Store": true,
		"**/debug.log": true,
		"**/.project": true,
		"**/.classpath": true,
		"**/.factorypath": true,
		"**/.settings/**": true,
		"**/bin/**": true,
		"**/obj/**": true,
		"**/.antlr/**": true,
		"**/target/**": true,
		"**/__pycache__/**": true,
		"doc/**/*.aux": true,
		"doc/**/*.bbl": true,
		"doc/**/*.bcf": true,
		"doc/**/*.blg": true,
		"doc/**/*.fdb_latexmk": true,
		"doc/**/*.fls": true,
		"doc/**/*.idx": true,
		"doc/**/*.ilg": true,
		"doc/**/*.ind": true,
		"doc/**/*.lof": true,
		"doc/**/*.log": false,
		"doc/**/*.lol": true,
		"doc/**/*.lot": true,
		"doc/**/*.out": true,
		"doc/**/*.nav": true,
		"doc/**/*.snm": true,
		"doc/**/*.vrb": true,
		"doc/**/*.run.xml": true,
		"doc/**/*.synctex.gz": true,
		"doc/**/*.synctex(busy)": true,
		"doc/**/*.toc": true,
	},
	"[tex]": {
		"editor.detectIndentation": false,
		"editor.useTabStops": true,
		"editor.tabSize": 4
	},
	"[plantuml]": {
		"editor.detectIndentation": false,
		"editor.useTabStops": true,
		"editor.tabSize": 4,
	},
	"[dot]": {
		"editor.detectIndentation": false,
		"editor.useTabStops": true,
		"editor.tabSize": 4,
	},
	"[makefile]": {
		"editor.detectIndentation": false,
		"editor.useTabStops": true,
		"editor.tabSize": 4,
	},
	"[json]": {
		"editor.detectIndentation": false,
		"editor.useTabStops": true,
		"editor.tabSize": 4,
		"editor.wordWrap": "on",
		"editor.insertSpaces": false,
		"editor.formatOnSave": false
	},
	"[python]": {
		"editor.detectIndentation": false,
		"editor.useTabStops": false,
		"editor.tabSize": 4,
		"editor.wordWrap": "on",
		"editor.insertSpaces": true,
		"editor.formatOnSave": true
	},
	"latex-workshop.latex.recipes": [{ "name": "make", "tools": ["make"] }],
	"latex-workshop.latex.tools": [{ "name": "make", "command": "make", "args": ["build"], "env": { } }],
	"plantuml.exportSubFolder": false,
	"plantuml.exportFormat": "png",
	"plantuml.exportOutDir": "./",
	"go.testFlags": [
		"-v", // get printed lines
		"-count=1" // force non-caching
	],
	"go.formatFlags": ["-s"],
	"python.formatting.provider": "black",
	"editor.tokenColorCustomizations": {
		"textMateRules": [
			{
				"scope": "googletest.failed",
				"settings": {
					"foreground": "#f00"
				}
			},
			{
				"scope": "googletest.passed",
				"settings": {
					"foreground": "#0f0"
				}
			},
			{
				"scope": "googletest.run",
				"settings": {
					"foreground": "#0f0"
				}
			}
		]
	},
}
